forrest-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ross Gardler <rgard...@apache.org>
Subject Re: Does Forrest 0.7 compatible with java 1.6
Date Tue, 13 Mar 2007 21:16:42 GMT
Xiaoshu Wang wrote:
> hi,
> 
> I recently received an error message,
> 
> validate-sitemap: 
> C:\devtools\apache-forrest-0.7\main\webapp\resources\schema\relaxng\sitemap-v06. 
> 
> rng:72:31: error: datatype library 
> "http://www.w3.org/2001/XMLSchema-datatypes" not recognized
> 
> I also tried to reinstall forrest 0.7 and reseed a new project but get 
> the similar message as well. My site was previously built successfully 
> without any problem.  The only change I made is the new Java 1.6.  So, I 
> wonder if this is the problem?  If so, how to correct it?  Or I have to 
> use Java 1.5 or under instead?

0.7 was only tested against 1.4 when it was released. We have no formal 
testing of it under later Java releases, although I am led to believe it 
works on 1.5. Since your issue does not occur in 1.4 I'd guess you hunch 
is correct and the problem is that you are using 1.6

Ross

Mime
View raw message